org.eclipse.emf.cdo.spi.common.model

## Class DelegatingCDOPackageRegistry

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.emf.cdo.spi.common.model.DelegatingCDOPackageRegistry

- All Implemented Interfaces:
    java.util.Map<java.lang.String,java.lang.Object>, CDOPackageRegistry, InternalCDOPackageRegistry, EPackage.Registry, INotifier, IDeactivateable, ILifecycle, ILifecycle.DeferrableActivation

  Deprecated.

      @Deprecated
      public abstract class DelegatingCDOPackageRegistry
      extends Lifecycle
      implements InternalCDOPackageRegistry

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.model.InternalCDOPackageRegistry

      `InternalCDOPackageRegistry.PackageLoader, InternalCDOPackageRegistry.PackageProcessor`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EPackage.Registry

      `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingCDOPackageRegistry()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `basicPut(java.lang.String nsURI, java.lang.Object value)` Deprecated.
    `void` | `clear()` Deprecated.
    `boolean` | `containsKey(java.lang.Object key)` Deprecated.
    `boolean` | `containsValue(java.lang.Object value)` Deprecated.
    `java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>>` | `entrySet()` Deprecated.
    `java.lang.Object` | `get(java.lang.Object key)` Deprecated.
    `protected abstract InternalCDOPackageRegistry` | `getDelegate()` Deprecated.
    `EFactory` | `getEFactory(java.lang.String nsURI)` Deprecated.
    `EPackage` | `getEPackage(java.lang.String nsURI)` Deprecated.
    `EPackage[]` | `getEPackages()` Deprecated.
    `InternalCDOPackageInfo` | `getPackageInfo(EPackage ePackage)` Deprecated.
    `InternalCDOPackageInfo[]` | `getPackageInfos()` Deprecated. Returns all package infos that are registered in this package registry.
    `InternalCDOPackageRegistry.PackageLoader` | `getPackageLoader()` Deprecated.
    `InternalCDOPackageRegistry.PackageProcessor` | `getPackageProcessor()` Deprecated.
    `InternalCDOPackageUnit` | `getPackageUnit(EPackage ePackage)` Deprecated.
    `InternalCDOPackageUnit[]` | `getPackageUnits()` Deprecated. Returns all package units that are registered in this package registry.
    `boolean` | `isEmpty()` Deprecated.
    `boolean` | `isReplacingDescriptors()` Deprecated.
    `java.util.Set<java.lang.String>` | `keySet()` Deprecated.
    `java.lang.Object` | `put(java.lang.String key, java.lang.Object value)` Deprecated.
    `void` | `putAll(java.util.Map<? extends java.lang.String,? extends java.lang.Object> t)` Deprecated.
    `java.lang.Object` | `putEPackage(EPackage ePackage)` Deprecated. Registers an `EPackage` with this package registry.
    `void` | `putPackageUnit(InternalCDOPackageUnit packageUnit)` Deprecated.
    `java.lang.Object` | `remove(java.lang.Object key)` Deprecated.
    `void` | `setPackageLoader(InternalCDOPackageRegistry.PackageLoader packageLoader)` Deprecated.
    `void` | `setPackageProcessor(InternalCDOPackageRegistry.PackageProcessor packageProcessor)` Deprecated.
    `void` | `setReplacingDescriptors(boolean replacingDescriptors)` Deprecated.
    `int` | `size()` Deprecated.
    `java.util.Collection<java.lang.Object>` | `values()` Deprecated.

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.model.InternalCDOPackageRegistry

      `createPackageUnit, getAllKeys, getPackageUnit, getPackageUnits, getPackageUnits, getWithDelegation, putPackageUnits, registerPackageInfo`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.model.CDOPackageRegistry

      `getEnumLiteralFor, getSubTypes`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

    - ### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `activate, deactivate, getLifecycleState, isActive`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### DelegatingCDOPackageRegistry

          public DelegatingCDOPackageRegistry()

      Deprecated.

  - ### Method Detail

    - #### getDelegate

          protected abstract InternalCDOPackageRegistry getDelegate()

      Deprecated.

    - #### basicPut

          public java.lang.Object basicPut(java.lang.String nsURI,
                                           java.lang.Object value)

      Deprecated.
      Specified by:
        `basicPut` in interface `InternalCDOPackageRegistry`

    - #### clear

          public void clear()

      Deprecated.
      Specified by:
        `clear` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### containsKey

          public boolean containsKey(java.lang.Object key)

      Deprecated.
      Specified by:
        `containsKey` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### containsValue

          public boolean containsValue(java.lang.Object value)

      Deprecated.
      Specified by:
        `containsValue` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>> entrySet()

      Deprecated.
      Specified by:
        `entrySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### get

          public java.lang.Object get(java.lang.Object key)

      Deprecated.
      Specified by:
        `get` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### getEFactory

          public EFactory getEFactory(java.lang.String nsURI)

      Deprecated.
      Specified by:
        `getEFactory` in interface `EPackage.Registry`

    - #### getEPackage

          public EPackage getEPackage(java.lang.String nsURI)

      Deprecated.
      Specified by:
        `getEPackage` in interface `EPackage.Registry`

    - #### getEPackages

          public EPackage[] getEPackages()

      Deprecated.
      Specified by:
        `getEPackages` in interface `InternalCDOPackageRegistry`

    - #### getPackageInfo

          public InternalCDOPackageInfo getPackageInfo(EPackage ePackage)

      Deprecated.
      Specified by:
        `getPackageInfo` in interface `CDOPackageRegistry`
      Specified by:
        `getPackageInfo` in interface `InternalCDOPackageRegistry`

    - #### getPackageInfos

          public InternalCDOPackageInfo[] getPackageInfos()

      Deprecated.
      Description copied from interface: `CDOPackageRegistry`
      Returns all package infos that are registered in this package registry.
      Specified by:
        `getPackageInfos` in interface `CDOPackageRegistry`
      Specified by:
        `getPackageInfos` in interface `InternalCDOPackageRegistry`

    - #### getPackageLoader

          public InternalCDOPackageRegistry.PackageLoader getPackageLoader()

      Deprecated.
      Specified by:
        `getPackageLoader` in interface `InternalCDOPackageRegistry`

    - #### getPackageProcessor

          public InternalCDOPackageRegistry.PackageProcessor getPackageProcessor()

      Deprecated.
      Specified by:
        `getPackageProcessor` in interface `InternalCDOPackageRegistry`

    - #### getPackageUnit

          public InternalCDOPackageUnit getPackageUnit(EPackage ePackage)

      Deprecated.
      Specified by:
        `getPackageUnit` in interface `CDOPackageRegistry`
      Specified by:
        `getPackageUnit` in interface `InternalCDOPackageRegistry`

    - #### getPackageUnits

          public InternalCDOPackageUnit[] getPackageUnits()

      Deprecated.
      Description copied from interface: `CDOPackageRegistry`
      Returns all package units that are registered in this package registry.
      Specified by:
        `getPackageUnits` in interface `CDOPackageRegistry`
      Specified by:
        `getPackageUnits` in interface `InternalCDOPackageRegistry`

    - #### isEmpty

          public boolean isEmpty()

      Deprecated.
      Specified by:
        `isEmpty` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### isReplacingDescriptors

          public boolean isReplacingDescriptors()

      Deprecated.
      Specified by:
        `isReplacingDescriptors` in interface `CDOPackageRegistry`

    - #### keySet

          public java.util.Set<java.lang.String> keySet()

      Deprecated.
      Specified by:
        `keySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### put

          public java.lang.Object put(java.lang.String key,
                                      java.lang.Object value)

      Deprecated.
      Specified by:
        `put` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### putAll

          public void putAll(java.util.Map<? extends java.lang.String,? extends java.lang.Object> t)

      Deprecated.
      Specified by:
        `putAll` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### putEPackage

          public java.lang.Object putEPackage(EPackage ePackage)

      Deprecated.
      Description copied from interface: `CDOPackageRegistry`
      Registers an `EPackage` with this package registry.
      Specified by:
        `putEPackage` in interface `CDOPackageRegistry`

    - #### putPackageUnit

          public void putPackageUnit(InternalCDOPackageUnit packageUnit)

      Deprecated.
      Specified by:
        `putPackageUnit` in interface `InternalCDOPackageRegistry`

    - #### remove

          public java.lang.Object remove(java.lang.Object key)

      Deprecated.
      Specified by:
        `remove` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### setPackageLoader

          public void setPackageLoader(InternalCDOPackageRegistry.PackageLoader packageLoader)

      Deprecated.
      Specified by:
        `setPackageLoader` in interface `InternalCDOPackageRegistry`

    - #### setPackageProcessor

          public void setPackageProcessor(InternalCDOPackageRegistry.PackageProcessor packageProcessor)

      Deprecated.
      Specified by:
        `setPackageProcessor` in interface `InternalCDOPackageRegistry`

    - #### setReplacingDescriptors

          public void setReplacingDescriptors(boolean replacingDescriptors)

      Deprecated.
      Specified by:
        `setReplacingDescriptors` in interface `InternalCDOPackageRegistry`

    - #### size

          public int size()

      Deprecated.
      Specified by:
        `size` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### values

          public java.util.Collection<java.lang.Object> values()

      Deprecated.
      Specified by:
        `values` in interface `java.util.Map<java.lang.String,java.lang.Object>`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html